### Method

# Snapd Client find_category_async

since: 1.64

#### Declaration [src]

    void
    snapd_client_find_category_async (
      SnapdClient* client,
      SnapdFindFlags flags,
      const gchar* category,
      const gchar* query,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously find snaps in the store. See `snapd_client_find_category_sync()` for more information.

Available since: 1.64

This method completes asynchronously. Use `snapd_client_find_category_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `SnapdFindFlags`

  A set of `SnapdFindFlags` to control how the find is performed.

`category`

  Type: `const gchar*`

  Store category to search in or `NULL` to search in all categories.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`query`

  Type: `const gchar*`

  Query string to send or `NULL` to get all snaps from the given category.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.